<?php

class GestionDBProveedor {
   function arregloProveedor($nit, $razon, $direccion, $telefono){
       return array($nit, $razon, $direccion, $telefono);



   }
   
   function ingresarProveedor($vector, $c){
  

       mysql_query("INSERT INTO proveedores  (nit, razon, direccion, telefono) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]')",$c);


}

}


class GestionDBVendedor {
   function arregloVendedor($cedula, $nombre, $apellido, $correo, $contra, $admin){
       return array($cedula, $nombre, $apellido, $correo, $contra, $admin);

   }
   
   function ingresarVendedor($vector, $c){
       mysql_query("INSERT INTO usuarios  (cedula, nombre, apellido, correo, contrasena, admin) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]')",$c);
}

    function imprimirVendedor($c){
        $result = mysql_query('select * from usuarios', $c);
        echo '<p><table border = "1">';
        echo '<tr>';
        echo '  <th width=\"5%\">Cédula: </th>';
        echo '  <th width=\"5%\">Nombre: </th>';
        echo '  <th width=\"5%\">Apellido: </th>';
        echo '  <th width=\"5%\">Correo: </th>';
        
        
        echo '</tr>';
        while ($dato = mysql_fetch_array($result)){
            echo '<tr align="center">';
            echo '<td>' .$dato['cedula'].'</td>';
            echo '<td>' .$dato['nombre'].'</td>';
            echo '<td>' .$dato['apellido'].'</td>';
            echo '<td>' .$dato['correo'].'</td>';
        
            
            echo '</tr>';
        }
        echo '</table>';
        echo '<p>El total de registros es: ' .mysql_num_rows($result);
    }
    
        function imprimirVendedorII($c){
            
            echo '<center><p>PRODUCTOS</center><br>';

        $result = mysql_query('select * from productos', $c);
        echo '<p><table border = "1" width="100%">';
        if(mysql_num_rows($result)>0){  
           
             echo '<tr align="center">';
        echo ' <center> <td width=\"5%\">ID </td></center>';
        echo '<center>  <td width=\"5%\">Detalle </td></center>';
        
        echo '  <center><td width=\"5%\">Precio </td></center>';
        echo ' <center> <td width=\"5%\">Saldo </td></center>';
        
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){
        
        echo '<tr align="center">';
            echo '<center><td>' .$dato['id'].'</td></center>';
            echo '<center><td>' .$dato['nombre'].'</td></center>';
                
            echo '<center><td>' .$dato['precio'].'</td></center>';
            echo '<center><td>' .$dato['saldo'].'</td></center>';
            echo '</tr>';
        
        }
        
       }
       echo '</table>';
    }
    
    
}

class GestionDBCliente {
   function arregloC($tipodoc, $cedula,  $nombres, $apellidos, $ciudad, $direccion, $telefono, $celular, $correo){
       return array($tipodoc, $cedula,  $nombres, $apellidos, $ciudad, $direccion,  $telefono, $celular, $correo);
   }
   
          

 function ingresarCliente($vector, $c){
mysql_query("INSERT INTO clientes (tipodocumento, numerodocumento, nombre, apellido, ciudad, direccion, telefono, celular, correo) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]','$vector[6]','$vector[7]','$vector[8]')",$c);
       

}

    function imprimirCliente($c){
      $result = mysql_query('SELECT tipodocumento, numerodocumento, nombre, apellido, ciudad, direccion, telefono, celular, codigo
FROM clientes, congeladores
WHERE congeladores.idcliente = clientes.numerodocumento
ORDER BY  `clientes`.`ciudad` ASC, `clientes`.`nombre` ASC', $c);
        
        echo '<p><table    cellspacing="35"  style="font-size:15px; auto;"  >';
        if(mysql_num_rows($result)>0){  
           
        echo '<tr align="center" border="1">';
        echo ' <td >Tipo documento </td>';
        echo '<td >Cedula </td>';
        echo '<td >Nombre </td>';
        echo '<td >Establecimiento</td>';     
        echo '<td >Ciudad </td>';
        echo '<td >Direccion </td>';
        echo '<td >Telefono </td>';

        echo '<td >Congelador</td>';
        
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){
        
        echo '<tr align="center">';
            echo '<td>' .$dato['tipodocumento'].'</td>';
            echo '<td>' .$dato['numerodocumento'].'</td>';
            echo '<td>' .$dato['nombre'].'</td>';   
            echo '<td>' .$dato['apellido'].'</td>';
            echo '<td>' .$dato['ciudad'].'</td>';
            echo '<td>' .$dato['direccion'].'</td>';
            echo '<td>' .$dato['telefono'].'</td>';

            echo '<td>' .$dato['codigo'].'</td>';
            
            echo '</tr>';
        
        }
        
       }
       echo '</table>';

    }
    
        function imprimirClientesII($c){
            
            
        $result = mysql_query('select * from clientes', $c);
        
        echo '<p><table width="50%" id="TablaLog2">';
        if(mysql_num_rows($result)>0){  
           
             echo '<tr align="center">';
        echo ' <center> <td width=\"5%\">Cédula </td></center>';
        echo '<center>  <td width=\"5%\">Nombre </td></center>';
        
        echo '  <center><td width=\"5%\">Apellido </td></center>';
                
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){
        
        echo '<tr align="center">';
            echo '<center><td>' .$dato['numerodocumento'].'</td></center>';
            echo '<center><td>' .$dato['nombre'].'</td></center>';
                
            echo '<center><td>' .$dato['apellido'].'</td></center>';
            
            echo '</tr>';
        
        }
        
       }
       echo '</table>';
    }
    
    
}


class GestionDBCongelador {
   function arregloCongelador($codigo, $idclinte, $cliente, $marca, $referencia, $pies){
       return array($codigo, $idclinte, $cliente, $marca, $referencia, $pies);


   }
   
   function ingresarCongelador($vector, $c){
       mysql_query("INSERT INTO congeladores (codigo, idcliente, cliente, marca, referencia, pies) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]')",$c);
}

    function imprimirProducto($c){
        $result = mysql_query('select * from usuarios', $c);
        echo '<p><table border = "1">';
        echo '<tr>';
        echo '  <th width=\"5%\">Cédula: </th>';
        echo '  <th width=\"5%\">Nombre: </th>';
        echo '  <th width=\"5%\">Apellido: </th>';
        echo '  <th width=\"5%\">Correo: </th>';
        
        
        echo '</tr>';
        while ($dato = mysql_fetch_array($result)){
            echo '<tr align="center">';
            echo '<td>' .$dato['cedula'].'</td>';
            echo '<td>' .$dato['nombre'].'</td>';
            echo '<td>' .$dato['apellido'].'</td>';
            echo '<td>' .$dato['correo'].'</td>';
        
            
            echo '</tr>';
        }
        echo '</table>';
        echo '<p>El total de registros es: ' .mysql_num_rows($result);
    }
    
        function imprimirProductoII($c){
            
            echo '<center><p>PRODUCTOS</center><br>';

        $result = mysql_query('select * from productos', $c);
        echo '<p><table border = "1" width="100%">';
        if(mysql_num_rows($result)>0){  
           
             echo '<tr align="center">';
        echo ' <center> <td width=\"5%\">ID </td></center>';
        echo '<center>  <td width=\"5%\">Detalle </td></center>';
        
        echo '  <center><td width=\"5%\">Precio </td></center>';
        echo ' <center> <td width=\"5%\">Saldo </td></center>';
        
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){
        
        echo '<tr align="center">';
            echo '<center><td>' .$dato['id'].'</td></center>';
            echo '<center><td>' .$dato['nombre'].'</td></center>';
                
            echo '<center><td>' .$dato['precio'].'</td></center>';
            echo '<center><td>' .$dato['saldo'].'</td></center>';
            echo '</tr>';
        
        }
        
       }
       echo '</table>';
    }
    
    
}


class GestionDBProducto {
   function arregloProducto($codigo, $descripcion, $precio1, $iva, $costo, $saldo){
       return array($codigo, $descripcion, $precio1, $iva, $costo, $saldo);

   }
   
   function ingresarProducto($vector, $c){
       mysql_query("INSERT INTO productos (codigo, descripcion, precio1, iva, costo, saldo) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]')",$c);
}

    
    
    function ImprimeProductos($c){
$result = mysql_query("SELECT * FROM productos ORDER BY descripcion", $c);

       
        echo '<p>  <table    cellspacing="35"  style="margin: 0 auto;" >';
        if(mysql_num_rows($result)>0){  
           
        echo '<tr align="center" border="1">';
        echo ' <td >Codigo</td>';
        echo '<td >Descripcion</td>';
        echo '<td >Precio</td>';
        echo '<td >Costo</td>';
        echo '<td >IVA</td>';     
        echo '<td >Saldo</td>';
        echo '<td >Bodega</td>';
                
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){
        
        echo '<tr align="center">';
            echo '<td>' .$dato['codigo'].'</td>';
            echo '<td>' .$dato['descripcion'].'</td>';
            echo '<td>' .$dato['precio1'].'</td>';   

            echo '<td>' .$dato['costo'].'</td>';
                        echo '<td>' .$dato['iva'].'</td>';
            echo '<td>' .$dato['saldo'].'</td>';
 echo '<td>' .$dato['bodega'].'</td>';
           
            
            echo '</tr>';
        
        }
        
       }
       echo '</table>';
}


    
    
        function imprimirProductoII($c){
            
            echo '<center><p>PRODUCTOS</center><br>';

        $result = mysql_query('select * from productos', $c);
        echo '<p><table border = "1" width="100%">';
        if(mysql_num_rows($result)>0){  
           
             echo '<tr align="center">';
        echo ' <center> <td width=\"5%\">ID </td></center>';
        echo '<center>  <td width=\"5%\">Detalle </td></center>';
        
        echo '  <center><td width=\"5%\">Precio </td></center>';
        echo ' <center> <td width=\"5%\">Saldo </td></center>';
        
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){
        
        echo '<tr align="center">';
            echo '<center><td>' .$dato['id'].'</td></center>';
            echo '<center><td>' .$dato['nombre'].'</td></center>';
                
            echo '<center><td>' .$dato['precio'].'</td></center>';
            echo '<center><td>' .$dato['saldo'].'</td></center>';
            echo '</tr>';
        
        }
        
       }
       echo '</table>';
    }
    
    
}

class GestionDBFacturas {






function ImprimeFacturas($c){
$result = mysql_query("SELECT ventas.tipo, numero, fecha, vendedor,  cedulacliente, nombrecliente, apellidocliente, ventas.idcongelador, idproducto, precioproducto, precioproductosiniva, cantidadproducto, ventas.total FROM ventas, facturas WHERE ventas.idcliente = facturas.cedulacliente AND facturas.idcongelador = ventas.idcongelador AND ventas.idfactura = facturas.numero AND ventas.idproducto <> 0 AND facturas.tipo = 'FACTURA' AND ventas.tipo = 'FACTURA' AND facturas.Anulada LIKE 'N' ORDER BY facturas.tipo, facturas.numero", $c);

       
        echo '<p><table    cellspacing="30"  style="font-size:15px; auto;"  >';
        if(mysql_num_rows($result)>0){  
           
        echo '<tr align="center" border="1">';
        echo ' <td >Tipo</td>';
        echo '<td >Numero</td>';
        echo '<td >Fecha</td>';
        echo '<td >Vendedor</td>';     
        echo '<td >Cedula</td>';
        echo '<td >Nombre cliente</td>';
        
        echo '<td >Establecimiento</td>';
        echo '<td >Congelador</td>';
        echo '<td >Producto</td>';
        echo '<td >Precio</td>';
        echo '<td >Cantidad</td>';
        echo '<td >Total</td>';
        
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){
        
        echo '<tr align="center">';
            echo '<td>' .$dato['tipo'].'</td>';
            echo '<td>' .$dato['numero'].'</td>';
            echo '<td>' .$dato['fecha'].'</td>';   
            echo '<td>' .$dato['vendedor'].'</td>';
            echo '<td>' .$dato['cedulacliente'].'</td>';
            echo '<td>' .$dato['nombrecliente'].'</td>';
            echo '<td>' .$dato['apellidocliente'].'</td>';
            echo '<td>' .$dato['idcongelador'].'</td>';
            echo '<td>' .$dato['idproducto'].'</td>';
            echo '<td>' .$dato['precioproducto'].'</td>';
            echo '<td>' .$dato['cantidadproducto'].'</td>';
            echo '<td>' .$dato['total'].'</td>';
            
            echo '</tr>';
        
        }
        
       }
       echo '</table>';
}

function ImprimeFacturasII($c){
$result = mysql_query("SELECT * FROM facturas WHERE tipo LIKE 'FACTURA' AND Anulada NOT LIKE 'S' ORDER BY numero", $c);


        echo '<p><table    cellspacing="35"  style="margin: 0 auto;"   >';
        if(mysql_num_rows($result)>0){  
                   
        echo '<tr align="center" border="1">';
        echo ' <td >Tipo</td>';
        echo '<td >Numero</td>';
        echo '<td >Fecha</td>';
        echo '<td >Cedula</td>';
        echo '<td >Nombre cliente</td>';
        echo '<td >Subtotal</td>';
        echo '<td >IVA</td>';
        echo '<td >Total</td>';
        echo '<td >PDF</td>';
        echo '<td >PNG</td>';
        echo '<td >Anular</td>';
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){

        echo '<tr align="center">';
            echo '<td>' .$dato['tipo'].'</td>';
            echo '<td>' .$dato['numero'].'</td>';

            echo '<td>' .$dato['fecha'].'</td>';   

            echo '<td>' .$dato['cedulacliente'].'</td>';
            echo '<td>' .$dato['nombrecliente'].'</td>';
            echo '<td>' .$dato['subtotal'].'</td>';
            echo '<td>' .$dato['iva'].'</td>';
            echo '<td>' .$dato['total'].'</td>';

            echo '<td><a href="FacturaPDFConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PDF.png" width="50" height="50"></a></td>';

            echo '<td><a href="FacturaPNGConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PNG.png" width="50" height="50"></a></td>';

            echo '<td><a href="FacturaAnulada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/Anula.png" width="50" height="50"></a></td>';

            echo '</tr>';
        
        }
        
       }
       echo '</table>';
}


function ImprimeFacturasIII($c){
$result = mysql_query("SELECT * FROM facturas WHERE nombrecliente LIKE '%ABELARDO%' AND fecha > '2016/07/10' AND fecha < '2016/07/31' ORDER BY numero", $c);


        echo '<p><table    cellspacing="35"  style="margin: 0 auto;"   >';
        if(mysql_num_rows($result)>0){  
                   
        echo '<tr align="center" border="1">';
        echo ' <td >Tipo</td>';
        echo '<td >Numero</td>';
        echo '<td >Fecha</td>';
        echo '<td >Cedula</td>';
        echo '<td >Nombre cliente</td>';
        echo '<td >Subtotal</td>';
        echo '<td >IVA</td>';
        echo '<td >Total</td>';
        echo '<td >PDF</td>';
        echo '<td >PNG</td>';
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){

        echo '<tr align="center">';
            echo '<td>' .$dato['tipo'].'</td>';
            echo '<td>' .$dato['numero'].'</td>';

            echo '<td>' .$dato['fecha'].'</td>';   

            echo '<td>' .$dato['cedulacliente'].'</td>';
            echo '<td>' .$dato['nombrecliente'].'</td>';
            echo '<td>' .$dato['subtotal'].'</td>';
            echo '<td>' .$dato['iva'].'</td>';
            echo '<td>' .$dato['total'].'</td>';

            echo '<td><a href="FacturaPDFConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PDF.png" width="50" height="50"></a></td>';

            echo '<td><a href="FacturaPNGConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PNG.png" width="50" height="50"></a></td>';

            echo '</tr>';
        
        }
        
       }
       echo '</table>';
}




function ImprimeRemisiones($c){
$result = mysql_query("SELECT * FROM facturas WHERE tipo LIKE 'REMISION' ORDER BY numero", $c);


        echo '<p><table    cellspacing="35"  style="margin: 0 auto;"   >';
        if(mysql_num_rows($result)>0){  
                   
        echo '<tr align="center" border="1">';
        echo ' <td >Tipo</td>';
        echo '<td >Numero</td>';
        echo '<td >Fecha</td>';
        echo '<td >Cedula</td>';
        echo '<td >Nombre cliente</td>';
        echo '<td >Subtotal</td>';
        echo '<td >IVA</td>';
        echo '<td >Total</td>';
        echo '<td >PDF</td>';
        echo '<td >PNG</td>';
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){

        echo '<tr align="center">';
            echo '<td>' .$dato['tipo'].'</td>';
            echo '<td>' .$dato['numero'].'</td>';

            echo '<td>' .$dato['fecha'].'</td>';   

            echo '<td>' .$dato['cedulacliente'].'</td>';
            echo '<td>' .$dato['nombrecliente'].'</td>';
            echo '<td>' .$dato['subtotal'].'</td>';
            echo '<td>' .$dato['iva'].'</td>';
            echo '<td>' .$dato['total'].'</td>';

            echo '<td><a href="RemisionPDFConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PDF.png" width="50" height="50"></a></td>';

            echo '<td><a href="RemisionPNGConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PNG.png" width="50" height="50"></a></td>';

            echo '</tr>';
        
        }
        
       }
       echo '</table>';
}

function ImprimeNotas($c){
$result = mysql_query("SELECT * FROM facturas WHERE tipo LIKE 'NOTA' ORDER BY numero", $c);


        echo '<p><table    cellspacing="35"  style="margin: 0 auto;"   >';
        if(mysql_num_rows($result)>0){  
                   
        echo '<tr align="center" border="1">';
        echo ' <td >Tipo</td>';
        echo '<td >Numero</td>';
        echo '<td >Fecha</td>';
        echo '<td >Cedula</td>';
        echo '<td >Nombre cliente</td>';
        echo '<td >Subtotal</td>';
        echo '<td >IVA</td>';
        echo '<td >Total</td>';
        echo '<td >PDF</td>';
        echo '<td >PNG</td>';
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){

        echo '<tr align="center">';
            echo '<td>' .$dato['tipo'].'</td>';
            echo '<td>' .$dato['numero'].'</td>';

            echo '<td>' .$dato['fecha'].'</td>';   

            echo '<td>' .$dato['cedulacliente'].'</td>';
            echo '<td>' .$dato['nombrecliente'].'</td>';
            echo '<td>' .$dato['subtotal'].'</td>';
            echo '<td>' .$dato['iva'].'</td>';
            echo '<td>' .$dato['total'].'</td>';

            echo '<td><a href="NotaPDFConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PDF.png" width="50" height="50"></a></td>';

            echo '<td><a href="NotaPNGConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PNG.png" width="50" height="50"></a></td>';

            echo '</tr>';
        
        }
        
       }
       echo '</table>';
}


function ConsultaLineas($c, $Numero){
$result = mysql_query("SELECT descripcion, precioproducto, cantidadproducto, ventas.total FROM ventas, facturas, productos WHERE ventas.idfactura = '.$Numero.' AND ventas.idproducto = productos.codigo AND ventas.idfactura = facturas.numero", $c);


        echo '<p><table    cellspacing="35"  style="margin: 0 auto;"   >';

        if(mysql_num_rows($result)>0){  
                   
        echo '<tr align="center" border="1">';
        echo ' <td >Tipo</td>';
        echo '<td >Numero</td>';
        echo '<td >Fecha</td>';
        echo '<td >Cedula</td>';
        echo '<td >Nombre cliente</td>';
        echo '<td >Subtotal</td>';
        echo '<td >IVA</td>';
        echo '<td >Total</td>';
        echo '<td >PDF</td>';
        echo '<td >PNG</td>';
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){

        echo '<tr align="center">';
            echo '<td>' .$dato['tipo'].'</td>';
            echo '<td>' .$dato['numero'].'</td>';

            echo '<td>' .$dato['fecha'].'</td>';   

            echo '<td>' .$dato['cedulacliente'].'</td>';
            echo '<td>' .$dato['nombrecliente'].'</td>';
            echo '<td>' .$dato['subtotal'].'</td>';
            echo '<td>' .$dato['iva'].'</td>';
            echo '<td>' .$dato['total'].'</td>';

            echo '<td><a href="FacturaPDFConsultada.php?num='.$dato['numero'].'&fecha='.$dato['fecha'].'&cliente='.$dato['nombrecliente'].'&id='.$dato['cedulacliente'].'&direccion='.$dato['direccioncliente'].'&ciudad='.$dato['Consultar'].'&establecimiento='.$dato['apellidocliente'].'&equipo='.$dato['idcongelador'].'&subtotal='.$dato['subtotal'].'&iva='.$dato['iva'].'&descuento='.$dato['descuento'].'&total='.$dato['total'].'&valordescuento='.$dato['valordescuento'].'&total='.$dato['total'].'" id="' .$dato['numero'].'" ><img src="imagenes/PDF.png" width="50" height="50"></a></td>';
            echo '<td><a href="FacturaPNGConsultada.php" id="' .$dato['numero'].'"><img src="imagenes/PNG.png" width="50" height="50"></a></td>';
            echo '</tr>';
        
        }
        
       }
       echo '</table>';
}



function ImprimeCompras($c){
$result = mysql_query("SELECT tipo, numero, fecha, subtotal, descuento, valordescuento, iva, total
FROM facturas
WHERE facturas.tipo =  'COMPRA'
ORDER BY facturas.numero", $c);

       
        echo '<p><table    cellspacing="25"  style="margin: 0 auto;" >';
        
       
        if(mysql_num_rows($result)>0){  
           
        echo '<tr align="center" border="1">';
        echo ' <td >Tipo</td>';
        echo '<td >Numero</td>';
        echo '<td >Fecha</td>';
        echo '<td >Subtotal</td>';     
        echo '<td >Descuento</td>';
        echo '<td >IVA</td>';
        echo '<td >Total</td>';
        

        
        echo '</tr>';
        $Subtotal = 0;
        $Valordesucento= 0;
        $IVA= 0;
        $Total= 0;        
        while ($dato = mysql_fetch_array($result)){
        $Subtotal = $Subtotal  + $dato['subtotal'];
        $Valordesucento= $Valordesucento + $dato['valordescuento'];
        $IVA= $IVA + $dato['iva'];
        $Total= $Total + $dato['total'];
        
        echo '<tr align="center">';
            echo '<td>' .$dato['tipo'].'</td>';
            echo '<td>' .$dato['numero'].'</td>';
            echo '<td>' .$dato['fecha'].'</td>';   
            echo '<td>' .number_format($dato['subtotal']).'</td>';
            echo '<td>' .number_format($dato['valordescuento']).'</td>';
            echo '<td>' .number_format($dato['iva']).'</td>';
                      echo '<td>' .number_format($dato['total']).'</td>';
            
            echo '</tr>';
        
        }
echo '<tr><td colspan="7">Subtotal: '.number_format($Subtotal).'</td></tr>';
echo '<tr><td colspan="7">Descuento: '.number_format($Valordescuento).'</td></tr>';
echo '<tr><td colspan="7">IVA: '.number_format($IVA).'</td></tr>';
echo '<tr><td colspan="7">Total: '.number_format($Total).'</td></tr>';
        
       }
       echo '</table>';
}

function Numerotraslado($c){
$result = mysql_query('SELECT MAX(numero) AS numero FROM traslados', $c);
$dato = mysql_fetch_array($result);
if ($dato['numero'] == 0 ){
return $Numfact = 1;
}else{
return $Numfact = $dato['numero'] + 1;
}
}


function Numeropago($c){
$result = mysql_query('SELECT MAX(numero) AS numero FROM pagos', $c);
$dato = mysql_fetch_array($result);
if ($dato['numero'] == 0 ){
return $Numfact = 1;
}else{
return $Numfact = $dato['numero'] + 1;
}

}


function Numerofactura($c){
$result = mysql_query('SELECT MAX(numero) AS numero FROM facturas WHERE tipo LIKE "FACTURA"', $c);
$dato = mysql_fetch_array($result);
if ($dato['numero'] == 0 ){
return $Numfact = 10001;
}else{
return $Numfact = $dato['numero'] + 1;
}

}

function Numeroremision($c){
$result = mysql_query('SELECT MAX(numero) AS numero FROM facturas WHERE tipo LIKE "REMISION"', $c);
$dato = mysql_fetch_array($result);
return $Numrem = $dato['numero'] + 1;

}

function Numeronota($c){
$result = mysql_query('SELECT MAX(numero) AS numero FROM facturas WHERE tipo LIKE "NOTA"', $c);
$dato = mysql_fetch_array($result);
return $Numrem = $dato['numero'] + 1;

}



function NumeroCompra($c){
$result = mysql_query('SELECT MAX(numero) AS numero FROM facturas WHERE tipo LIKE "COMPRA"', $c);
$dato = mysql_fetch_array($result);
return $Numrem = $dato['numero'] + 1;

}

   function arregloVenta($idfactura, $idproducto, $idcongelador, $idcliente, $valor, $valorsiniva, $cantidadproducto, $total, $descuento){
       return array($idfactura, $idproducto, $idcongelador, $idcliente, $valor, $valorsiniva, $cantidadproducto, $total, $descuento);

   }

   function ingresarVenta($vector, $c){
       mysql_query("INSERT INTO ventas (idfactura, tipo, idproducto, idcongelador, idcliente, precioproducto, precioproductosiniva, cantidadproducto, total, descuento) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]', '$vector[6]', '$vector[7]', '$vector[8]', '$vector[9]')",$c);
   }


function arregloMovimientoTraslado($numerotraslado, $fecha, $origen, $destino, $codigoproducto, $cantidad, $costo){
       return array($numerotraslado, $fecha, $origen, $destino, $codigoproducto, $cantidad, $costo);

   }



   function ingresarMovimientoTraslado($vector, $c){
       mysql_query("INSERT INTO movimientostraslados (numerotraslado, fecha, origen, destino, codigoproducto, cantidad, costo) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]', '$vector[6]')",$c);
   }

   function arregloEncabezado($tipo, $numero, $fecha, $vendedor, $idcliente, $cedulacliente, $nombrecliente, $apellidocliente, $telefonocliente, $direccioncliente, $idcongelador, $subtotal, $Descuento, $Descuentoaplicado, $iva, $total, $metodopago, $plazo, $vence, $estado, $saldo){
       return array($tipo, $numero, $fecha, $vendedor, $idcliente, $cedulacliente, $nombrecliente, $apellidocliente, $telefonocliente, $direccioncliente, $idcongelador, $subtotal, $Descuento, $Descuentoaplicado, $iva, $total, $metodopago, $plazo, $vence, $estado, $saldo);

   }
   

   function arregloEncabezadopago($tipo, $numero, $cedulacliente, $numerofactura, $fecha, $valor, $vendedor){

       return array($tipo, $numero, $cedulacliente, $numerofactura, $fecha, $valor, $vendedor);

   }

   function ingresarEncabezadopago($vector, $c){

       mysql_query("INSERT INTO pagos (tipo, numero, cedulacliente, numerofactura, fecha, valor, vendedor) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]','$vector[6]')",$c);
}

 function arregloEncabezadotraslado($tipo, $numero, $fecha, $origen, $destino, $valor, $usuario){
       return array($tipo, $numero, $fecha, $origen, $destino, $valor, $usuario);
   }

   function ingresarEncabezadotraslado($vector, $c){

       mysql_query("INSERT INTO traslados (nombre, numero, fecha, origen, destino, valor, usuario) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]','$vector[6]')",$c);
}
   
   
   
   
   

   
/*   function ingresarProducto($vector, $c){
       mysql_query("INSERT INTO productos (codigo, descripcion, precio1, iva, costo, saldo) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]')",$c);
}*/




  function eliminaproducto($Codigo, $c){
    mysql_query('DELETE FROM productos WHERE codigo = '.$Codigo.'', $c);
  }
   function ingresarEncabezado($vector, $c){
       mysql_query("INSERT INTO facturas (tipo, numero, fecha, vendedor, idcliente, cedulacliente, nombrecliente, apellidocliente, telefonocliente, direccioncliente, idcongelador, subtotal, descuento, valordescuento, iva, total, metodopago, plazo, vence, estado, saldo) VALUES('$vector[0]','$vector[1]', '$vector[2]','$vector[3]','$vector[4]','$vector[5]','$vector[6]','$vector[7]','$vector[8]','$vector[9]','$vector[10]','$vector[11]','$vector[12]', '$vector[13]', '$vector[14]', '$vector[15]', '$vector[16]', '$vector[17]', '$vector[18]', '$vector[19]', '$vector[20]')",$c);
}

    function imprimirProducto($c){
        $result = mysql_query('select * from usuarios', $c);
        echo '<p><table border = "1">';
        echo '<tr>';
        echo '  <th width=\"5%\">Cédula: </th>';
        echo '  <th width=\"5%\">Nombre: </th>';
        echo '  <th width=\"5%\">Apellido: </th>';
        echo '  <th width=\"5%\">Correo: </th>';
        
        
        echo '</tr>';
        while ($dato = mysql_fetch_array($result)){
            echo '<tr align="center">';
            echo '<td>' .$dato['cedula'].'</td>';
            echo '<td>' .$dato['nombre'].'</td>';
            echo '<td>' .$dato['apellido'].'</td>';
            echo '<td>' .$dato['correo'].'</td>';
        
            
            echo '</tr>';
        }
        echo '</table>';
        echo '<p>El total de registros es: ' .mysql_num_rows($result);
    }
    
        function imprimirProductoII($c){
            
            echo '<center><p>PRODUCTOS</center><br>';

        $result = mysql_query('select * from productos', $c);
        echo '<p><table border = "1" width="100%">';
        if(mysql_num_rows($result)>0){  
           
             echo '<tr align="center">';
        echo ' <center> <td width=\"5%\">ID </td></center>';
        echo '<center>  <td width=\"5%\">Detalle </td></center>';
        
        echo '  <center><td width=\"5%\">Precio </td></center>';
        echo ' <center> <td width=\"5%\">Saldo </td></center>';
        
        echo '</tr>';
        
        while ($dato = mysql_fetch_array($result)){
        
        echo '<tr align="center">';
            echo '<center><td>' .$dato['id'].'</td></center>';
            echo '<center><td>' .$dato['nombre'].'</td></center>';
                
            echo '<center><td>' .$dato['precio'].'</td></center>';
            echo '<center><td>' .$dato['saldo'].'</td></center>';
            echo '</tr>';
        
        }
        
       }
       echo '</table>';
    }
    
    
}





?>

